App
App object
- namestring
The name of the app. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.
- descriptionstring
The description of the app.
- compute_statusobject
Show child attributesHide child attributes
- statestring
State of the app compute.
- messagestring
Compute status message
- app_statusobject
Show child attributesHide child attributes
- statestring
State of the application.
- messagestring
Application status message
- urlstring
The URL of the app once it is deployed.
- active_deploymentobject
The active deployment of the app. A deployment is considered active when it has been deployed to the app compute.
Show child attributesHide child attributes
- deployment_idstring
The unique id of the deployment.
- source_code_pathstring
The workspace file system path of the source code used to create the app deployment. This is different from
deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.
- git_sourceobjectGA
Git repository to use as the source for the app deployment.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- branchstring
Git branch to checkout.
- tagstring
Git tag to checkout.
- commitstring
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstringGA
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- modestring
The mode of which the deployment will manage the source code.
- deployment_artifactsobject
The deployment artifacts for an app.
Show child attributesHide child attributes
- source_code_pathstring
The snapshotted workspace file system path of the source code loaded by the deployed app.
- statusobject
Status and status message of the deployment
Show child attributesHide child attributes
- statestring
State of the deployment.
- messagestring
Message corresponding with the deployment state.
- create_timestring
The creation time of the deployment. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user creates the deployment.
- update_timestring
The update time of the deployment. Formatted timestamp in ISO 6801.
- commandarray of stringGA
The command with which to run the app. This will override the command specified in the app.yaml file.
- env_varsarray of objectGA
The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.
Show child attributesHide child attributes
- namestringGA
The name of the environment variable.
- valuestringGA
The value for the environment variable.
- value_fromstringGA
The name of an external <Databricks> resource that contains the value, such as a secret or a database table.
- create_timestring
The creation time of the app. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user that created the app.
- update_timestring
The update time of the app. Formatted timestamp in ISO 6801.
- updaterstring
The email of the user that last updated the app.
- pending_deploymentobject
The pending deployment of the app. A deployment is considered pending when it is being prepared for deployment to the app compute.
Show child attributesHide child attributes
- deployment_idstring
The unique id of the deployment.
- source_code_pathstring
The workspace file system path of the source code used to create the app deployment. This is different from
deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.
- git_sourceobjectGA
Git repository to use as the source for the app deployment.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- branchstring
Git branch to checkout.
- tagstring
Git tag to checkout.
- commitstring
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstringGA
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- modestring
The mode of which the deployment will manage the source code.
- deployment_artifactsobject
The deployment artifacts for an app.
Show child attributesHide child attributes
- source_code_pathstring
The snapshotted workspace file system path of the source code loaded by the deployed app.
- statusobject
Status and status message of the deployment
Show child attributesHide child attributes
- statestring
State of the deployment.
- messagestring
Message corresponding with the deployment state.
- create_timestring
The creation time of the deployment. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user creates the deployment.
- update_timestring
The update time of the deployment. Formatted timestamp in ISO 6801.
- commandarray of stringGA
The command with which to run the app. This will override the command specified in the app.yaml file.
- env_varsarray of objectGA
The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.
Show child attributesHide child attributes
- namestringGA
The name of the environment variable.
- valuestringGA
The value for the environment variable.
- value_fromstringGA
The name of an external <Databricks> resource that contains the value, such as a secret or a database table.
- resourcesarray of object
Resources for the app.
Show child attributesHide child attributes
- namestring
Name of the App Resource.
- descriptionstring
Description of the App Resource.
- secretobject
Show child attributesHide child attributes
- scopestring
Scope of the secret to grant permission on.
- keystring
Key of the secret to grant permission on.
- permissionstring
Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".
- sql_warehouseobject
Show child attributesHide child attributes
- idstring
Id of the SQL warehouse to grant permission on.
- permissionstring
Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".
- serving_endpointobject
Show child attributesHide child attributes
- namestring
Name of the serving endpoint to grant permission on.
- permissionstring
Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".
- jobobject
Show child attributesHide child attributes
- idstring
Id of the job to grant permission on.
- permissionstring
Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".
- uc_securableobject
Show child attributesHide child attributes
- securable_full_namestring
- securable_typestring
- permissionstring
- securable_kindstringGA
The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.
- databaseobject
Show child attributesHide child attributes
- instance_namestring
- database_namestring
- permissionstring
- genie_spaceobject
Show child attributesHide child attributes
- namestring
- space_idstring
- permissionstring
- experimentobject
Show child attributesHide child attributes
- experiment_idstring
- permissionstring
- appobjectGA
Show child attributesHide child attributes
- namestringGA
- permissionstringGA
- postgresobjectGA
Show child attributesHide child attributes
- branchstringGA
- databasestringGA
- permissionstringGA
- service_principal_idint64
- service_principal_namestring
- default_source_code_pathstring
The default workspace file system path of the source code from which app deployment are created. This field tracks the workspace source code path of the last active deployment.
- default_git_sourceobjectBeta
The Git source of the app's most recent active deployment, including the repository configuration and the resolved reference. Populated by the system after a Git-based deployment and used as the default reference when automatic deployments are enabled.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- branchstring
Git branch to checkout.
- tagstring
Git tag to checkout.
- commitstring
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstringGA
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- budget_policy_idstringPublic Preview
- effective_budget_policy_idstringPublic Preview
- service_principal_client_idstring
- user_api_scopesarray of stringPublic Preview
- idstring
The unique identifier of the app.
- effective_user_api_scopesarray of stringPublic Preview
The effective api scopes granted to the user access token.
- oauth2_app_integration_idstringPublic Preview
- oauth2_app_client_idstringPublic Preview
- compute_sizestringGA
- usage_policy_idstringPublic Preview
- effective_usage_policy_idstringPublic Preview
- git_repositoryobjectGA
Git repository configuration for app deployments. When specified, deployments can reference code from this repository by providing only the git reference (branch, tag, or commit).
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- telemetry_export_destinationsarray of objectPublic Preview
Show child attributesHide child attributes
- unity_catalogobjectPublic Preview
Show child attributesHide child attributes
- logs_tablestringPublic Preview
Unity Catalog table for OTEL logs.
- metrics_tablestringPublic Preview
Unity Catalog table for OTEL metrics.
- traces_tablestringPublic Preview
Unity Catalog table for OTEL traces (spans).
- thumbnail_urlstringGA
The URL of the thumbnail image for the app.
- source_code_pathstringBeta
- git_sourceobjectBeta
The Git source to deploy from, specifying the reference to check out (branch, tag, or commit) and an optional path to the app source code within the repository configured in git_repository.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- branchstring
Git branch to checkout.
- tagstring
Git tag to checkout.
- commitstring
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstringGA
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
Get GA
GET
Retrieves information for the app with the supplied name.
API scopes: apps
Parameters
- namestringpath
The name of the app.
Response
Returns the App object.
List GA
GET
Lists all apps in the workspace.
API scopes: apps
Parameters
- page_tokenstringquery
Pagination token to go to the next page of apps. Requests first page if absent.
- page_sizeint32query
Upper bound for items returned.
Response
Returns a list of App objects.
Create GA
POST
Creates a new app.
API scopes: apps
Parameters
- no_computebooleanquery
If true, the app will not be started after creation.
Request body
- appobject
Show child attributesHide child attributes
- namestring
The name of the app. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.
- descriptionstring
The description of the app.
- compute_statusobject
Show child attributesHide child attributes
- statestring
State of the app compute.
- messagestring
Compute status message
- app_statusobject
Show child attributesHide child attributes
- statestring
State of the application.
- messagestring
Application status message
- urlstring
The URL of the app once it is deployed.
- active_deploymentobject
The active deployment of the app. A deployment is considered active when it has been deployed to the app compute.
Show child attributesHide child attributes
- deployment_idstring
The unique id of the deployment.
- source_code_pathstring
The workspace file system path of the source code used to create the app deployment. This is different from
deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.
- git_sourceobject
Git repository to use as the source for the app deployment.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- modestring
The mode of which the deployment will manage the source code.
- deployment_artifactsobject
The deployment artifacts for an app.
Show child attributesHide child attributes
- source_code_pathstring
The snapshotted workspace file system path of the source code loaded by the deployed app.
- statusobject
Status and status message of the deployment
Show child attributesHide child attributes
- statestring
State of the deployment.
- messagestring
Message corresponding with the deployment state.
- create_timestring
The creation time of the deployment. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user creates the deployment.
- update_timestring
The update time of the deployment. Formatted timestamp in ISO 6801.
- commandarray of string
The command with which to run the app. This will override the command specified in the app.yaml file.
- env_varsarray of object
The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.
Show child attributesHide child attributes
- namestring
The name of the environment variable.
- valuestringRequired
The value for the environment variable.
- value_fromstringRequired
The name of an external <Databricks> resource that contains the value, such as a secret or a database table.
- create_timestring
The creation time of the app. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user that created the app.
- update_timestring
The update time of the app. Formatted timestamp in ISO 6801.
- updaterstring
The email of the user that last updated the app.
- pending_deploymentobject
The pending deployment of the app. A deployment is considered pending when it is being prepared for deployment to the app compute.
Show child attributesHide child attributes
- deployment_idstring
The unique id of the deployment.
- source_code_pathstring
The workspace file system path of the source code used to create the app deployment. This is different from
deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.
- git_sourceobject
Git repository to use as the source for the app deployment.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- modestring
The mode of which the deployment will manage the source code.
- deployment_artifactsobject
The deployment artifacts for an app.
Show child attributesHide child attributes
- source_code_pathstring
The snapshotted workspace file system path of the source code loaded by the deployed app.
- statusobject
Status and status message of the deployment
Show child attributesHide child attributes
- statestring
State of the deployment.
- messagestring
Message corresponding with the deployment state.
- create_timestring
The creation time of the deployment. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user creates the deployment.
- update_timestring
The update time of the deployment. Formatted timestamp in ISO 6801.
- commandarray of string
The command with which to run the app. This will override the command specified in the app.yaml file.
- env_varsarray of object
The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.
Show child attributesHide child attributes
- namestring
The name of the environment variable.
- valuestringRequired
The value for the environment variable.
- value_fromstringRequired
The name of an external <Databricks> resource that contains the value, such as a secret or a database table.
- resourcesarray of object
Resources for the app.
Show child attributesHide child attributes
- namestring
Name of the App Resource.
- descriptionstring
Description of the App Resource.
- secretobjectRequired
Show child attributesHide child attributes
- scopestring
Scope of the secret to grant permission on.
- keystring
Key of the secret to grant permission on.
- permissionstring
Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".
- sql_warehouseobjectRequired
Show child attributesHide child attributes
- idstring
Id of the SQL warehouse to grant permission on.
- permissionstring
Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".
- serving_endpointobjectRequired
Show child attributesHide child attributes
- namestring
Name of the serving endpoint to grant permission on.
- permissionstring
Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".
- jobobjectRequired
Show child attributesHide child attributes
- idstring
Id of the job to grant permission on.
- permissionstring
Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".
- uc_securableobjectRequired
Show child attributesHide child attributes
- securable_full_namestring
- securable_typestring
- permissionstring
- securable_kindstring
The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.
- databaseobjectRequired
Show child attributesHide child attributes
- instance_namestring
- database_namestring
- permissionstring
- genie_spaceobjectRequired
Show child attributesHide child attributes
- namestring
- space_idstring
- permissionstring
- experimentobjectRequired
Show child attributesHide child attributes
- experiment_idstring
- permissionstring
- appobjectRequired
Show child attributesHide child attributes
- namestring
- permissionstring
- postgresobjectRequired
Show child attributesHide child attributes
- branchstring
- databasestring
- permissionstring
- service_principal_idint64
- service_principal_namestring
- default_source_code_pathstring
The default workspace file system path of the source code from which app deployment are created. This field tracks the workspace source code path of the last active deployment.
- default_git_sourceobjectBeta
The Git source of the app's most recent active deployment, including the repository configuration and the resolved reference. Populated by the system after a Git-based deployment and used as the default reference when automatic deployments are enabled.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- budget_policy_idstringPublic Preview
- effective_budget_policy_idstringPublic Preview
- service_principal_client_idstring
- user_api_scopesarray of stringPublic Preview
- idstring
The unique identifier of the app.
- effective_user_api_scopesarray of stringPublic Preview
The effective api scopes granted to the user access token.
- oauth2_app_integration_idstringPublic Preview
- oauth2_app_client_idstringPublic Preview
- compute_sizestring
- usage_policy_idstringPublic Preview
- effective_usage_policy_idstringPublic Preview
- git_repositoryobject
Git repository configuration for app deployments. When specified, deployments can reference code from this repository by providing only the git reference (branch, tag, or commit).
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- telemetry_export_destinationsarray of objectPublic Preview
Show child attributesHide child attributes
- unity_catalogobjectRequiredPublic Preview
Show child attributesHide child attributes
- logs_tablestringPublic Preview
Unity Catalog table for OTEL logs.
- metrics_tablestringPublic Preview
Unity Catalog table for OTEL metrics.
- traces_tablestringPublic Preview
Unity Catalog table for OTEL traces (spans).
- thumbnail_urlstring
The URL of the thumbnail image for the app.
- source_code_pathstringRequiredBeta
- git_sourceobjectRequiredBeta
The Git source to deploy from, specifying the reference to check out (branch, tag, or commit) and an optional path to the app source code within the repository configured in git_repository.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
Response
Returns the App object.
Update GA
PATCH
Updates the app with the supplied name.
API scopes: apps
Parameters
- appobjectpath
Show child attributesHide child attributes
- namestring
The name of the app. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.
- descriptionstring
The description of the app.
- compute_statusobject
Show child attributesHide child attributes
- statestring
State of the app compute.
- messagestring
Compute status message
- app_statusobject
Show child attributesHide child attributes
- statestring
State of the application.
- messagestring
Application status message
- urlstring
The URL of the app once it is deployed.
- active_deploymentobject
The active deployment of the app. A deployment is considered active when it has been deployed to the app compute.
Show child attributesHide child attributes
- deployment_idstring
The unique id of the deployment.
- source_code_pathstring
The workspace file system path of the source code used to create the app deployment. This is different from
deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.
- git_sourceobject
Git repository to use as the source for the app deployment.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- modestring
The mode of which the deployment will manage the source code.
- deployment_artifactsobject
The deployment artifacts for an app.
Show child attributesHide child attributes
- source_code_pathstring
The snapshotted workspace file system path of the source code loaded by the deployed app.
- statusobject
Status and status message of the deployment
Show child attributesHide child attributes
- statestring
State of the deployment.
- messagestring
Message corresponding with the deployment state.
- create_timestring
The creation time of the deployment. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user creates the deployment.
- update_timestring
The update time of the deployment. Formatted timestamp in ISO 6801.
- commandarray of string
The command with which to run the app. This will override the command specified in the app.yaml file.
- env_varsarray of object
The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.
Show child attributesHide child attributes
- namestring
The name of the environment variable.
- valuestringRequired
The value for the environment variable.
- value_fromstringRequired
The name of an external <Databricks> resource that contains the value, such as a secret or a database table.
- create_timestring
The creation time of the app. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user that created the app.
- update_timestring
The update time of the app. Formatted timestamp in ISO 6801.
- updaterstring
The email of the user that last updated the app.
- pending_deploymentobject
The pending deployment of the app. A deployment is considered pending when it is being prepared for deployment to the app compute.
Show child attributesHide child attributes
- deployment_idstring
The unique id of the deployment.
- source_code_pathstring
The workspace file system path of the source code used to create the app deployment. This is different from
deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.
- git_sourceobject
Git repository to use as the source for the app deployment.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- modestring
The mode of which the deployment will manage the source code.
- deployment_artifactsobject
The deployment artifacts for an app.
Show child attributesHide child attributes
- source_code_pathstring
The snapshotted workspace file system path of the source code loaded by the deployed app.
- statusobject
Status and status message of the deployment
Show child attributesHide child attributes
- statestring
State of the deployment.
- messagestring
Message corresponding with the deployment state.
- create_timestring
The creation time of the deployment. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user creates the deployment.
- update_timestring
The update time of the deployment. Formatted timestamp in ISO 6801.
- commandarray of string
The command with which to run the app. This will override the command specified in the app.yaml file.
- env_varsarray of object
The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.
Show child attributesHide child attributes
- namestring
The name of the environment variable.
- valuestringRequired
The value for the environment variable.
- value_fromstringRequired
The name of an external <Databricks> resource that contains the value, such as a secret or a database table.
- resourcesarray of object
Resources for the app.
Show child attributesHide child attributes
- namestring
Name of the App Resource.
- descriptionstring
Description of the App Resource.
- secretobjectRequired
Show child attributesHide child attributes
- scopestring
Scope of the secret to grant permission on.
- keystring
Key of the secret to grant permission on.
- permissionstring
Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".
- sql_warehouseobjectRequired
Show child attributesHide child attributes
- idstring
Id of the SQL warehouse to grant permission on.
- permissionstring
Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".
- serving_endpointobjectRequired
Show child attributesHide child attributes
- namestring
Name of the serving endpoint to grant permission on.
- permissionstring
Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".
- jobobjectRequired
Show child attributesHide child attributes
- idstring
Id of the job to grant permission on.
- permissionstring
Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".
- uc_securableobjectRequired
Show child attributesHide child attributes
- securable_full_namestring
- securable_typestring
- permissionstring
- securable_kindstring
The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.
- databaseobjectRequired
Show child attributesHide child attributes
- instance_namestring
- database_namestring
- permissionstring
- genie_spaceobjectRequired
Show child attributesHide child attributes
- namestring
- space_idstring
- permissionstring
- experimentobjectRequired
Show child attributesHide child attributes
- experiment_idstring
- permissionstring
- appobjectRequired
Show child attributesHide child attributes
- namestring
- permissionstring
- postgresobjectRequired
Show child attributesHide child attributes
- branchstring
- databasestring
- permissionstring
- service_principal_idint64
- service_principal_namestring
- default_source_code_pathstring
The default workspace file system path of the source code from which app deployment are created. This field tracks the workspace source code path of the last active deployment.
- default_git_sourceobjectBeta
The Git source of the app's most recent active deployment, including the repository configuration and the resolved reference. Populated by the system after a Git-based deployment and used as the default reference when automatic deployments are enabled.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- budget_policy_idstringPublic Preview
- effective_budget_policy_idstringPublic Preview
- service_principal_client_idstring
- user_api_scopesarray of stringPublic Preview
- idstring
The unique identifier of the app.
- effective_user_api_scopesarray of stringPublic Preview
The effective api scopes granted to the user access token.
- oauth2_app_integration_idstringPublic Preview
- oauth2_app_client_idstringPublic Preview
- compute_sizestring
- usage_policy_idstringPublic Preview
- effective_usage_policy_idstringPublic Preview
- git_repositoryobject
Git repository configuration for app deployments. When specified, deployments can reference code from this repository by providing only the git reference (branch, tag, or commit).
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- telemetry_export_destinationsarray of objectPublic Preview
Show child attributesHide child attributes
- unity_catalogobjectRequiredPublic Preview
Show child attributesHide child attributes
- logs_tablestringPublic Preview
Unity Catalog table for OTEL logs.
- metrics_tablestringPublic Preview
Unity Catalog table for OTEL metrics.
- traces_tablestringPublic Preview
Unity Catalog table for OTEL traces (spans).
- thumbnail_urlstring
The URL of the thumbnail image for the app.
- source_code_pathstringRequiredBeta
- git_sourceobjectRequiredBeta
The Git source to deploy from, specifying the reference to check out (branch, tag, or commit) and an optional path to the app source code within the repository configured in git_repository.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
Response
Returns the App object.
Delete GA
DELETE
Deletes an app.
API scopes: apps
Parameters
- namestringpath
The name of the app.
Response
Returns the App object.
Async Update App GA
POST
Creates an app update and starts the update process. The update process is asynchronous and the status of the update can be checked with the GetAppUpdate method.
API scopes: apps
Parameters
- app_namestringpath
Request body
- appobject
Show child attributesHide child attributes
- namestring
The name of the app. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.
- descriptionstring
The description of the app.
- compute_statusobject
Show child attributesHide child attributes
- statestring
State of the app compute.
- messagestring
Compute status message
- app_statusobject
Show child attributesHide child attributes
- statestring
State of the application.
- messagestring
Application status message
- urlstring
The URL of the app once it is deployed.
- active_deploymentobject
The active deployment of the app. A deployment is considered active when it has been deployed to the app compute.
Show child attributesHide child attributes
- deployment_idstring
The unique id of the deployment.
- source_code_pathstring
The workspace file system path of the source code used to create the app deployment. This is different from
deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.
- git_sourceobject
Git repository to use as the source for the app deployment.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- modestring
The mode of which the deployment will manage the source code.
- deployment_artifactsobject
The deployment artifacts for an app.
Show child attributesHide child attributes
- source_code_pathstring
The snapshotted workspace file system path of the source code loaded by the deployed app.
- statusobject
Status and status message of the deployment
Show child attributesHide child attributes
- statestring
State of the deployment.
- messagestring
Message corresponding with the deployment state.
- create_timestring
The creation time of the deployment. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user creates the deployment.
- update_timestring
The update time of the deployment. Formatted timestamp in ISO 6801.
- commandarray of string
The command with which to run the app. This will override the command specified in the app.yaml file.
- env_varsarray of object
The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.
Show child attributesHide child attributes
- namestring
The name of the environment variable.
- valuestringRequired
The value for the environment variable.
- value_fromstringRequired
The name of an external <Databricks> resource that contains the value, such as a secret or a database table.
- create_timestring
The creation time of the app. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user that created the app.
- update_timestring
The update time of the app. Formatted timestamp in ISO 6801.
- updaterstring
The email of the user that last updated the app.
- pending_deploymentobject
The pending deployment of the app. A deployment is considered pending when it is being prepared for deployment to the app compute.
Show child attributesHide child attributes
- deployment_idstring
The unique id of the deployment.
- source_code_pathstring
The workspace file system path of the source code used to create the app deployment. This is different from
deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.
- git_sourceobject
Git repository to use as the source for the app deployment.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- modestring
The mode of which the deployment will manage the source code.
- deployment_artifactsobject
The deployment artifacts for an app.
Show child attributesHide child attributes
- source_code_pathstring
The snapshotted workspace file system path of the source code loaded by the deployed app.
- statusobject
Status and status message of the deployment
Show child attributesHide child attributes
- statestring
State of the deployment.
- messagestring
Message corresponding with the deployment state.
- create_timestring
The creation time of the deployment. Formatted timestamp in ISO 6801.
- creatorstring
The email of the user creates the deployment.
- update_timestring
The update time of the deployment. Formatted timestamp in ISO 6801.
- commandarray of string
The command with which to run the app. This will override the command specified in the app.yaml file.
- env_varsarray of object
The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.
Show child attributesHide child attributes
- namestring
The name of the environment variable.
- valuestringRequired
The value for the environment variable.
- value_fromstringRequired
The name of an external <Databricks> resource that contains the value, such as a secret or a database table.
- resourcesarray of object
Resources for the app.
Show child attributesHide child attributes
- namestring
Name of the App Resource.
- descriptionstring
Description of the App Resource.
- secretobjectRequired
Show child attributesHide child attributes
- scopestring
Scope of the secret to grant permission on.
- keystring
Key of the secret to grant permission on.
- permissionstring
Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".
- sql_warehouseobjectRequired
Show child attributesHide child attributes
- idstring
Id of the SQL warehouse to grant permission on.
- permissionstring
Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".
- serving_endpointobjectRequired
Show child attributesHide child attributes
- namestring
Name of the serving endpoint to grant permission on.
- permissionstring
Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".
- jobobjectRequired
Show child attributesHide child attributes
- idstring
Id of the job to grant permission on.
- permissionstring
Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".
- uc_securableobjectRequired
Show child attributesHide child attributes
- securable_full_namestring
- securable_typestring
- permissionstring
- securable_kindstring
The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.
- databaseobjectRequired
Show child attributesHide child attributes
- instance_namestring
- database_namestring
- permissionstring
- genie_spaceobjectRequired
Show child attributesHide child attributes
- namestring
- space_idstring
- permissionstring
- experimentobjectRequired
Show child attributesHide child attributes
- experiment_idstring
- permissionstring
- appobjectRequired
Show child attributesHide child attributes
- namestring
- permissionstring
- postgresobjectRequired
Show child attributesHide child attributes
- branchstring
- databasestring
- permissionstring
- service_principal_idint64
- service_principal_namestring
- default_source_code_pathstring
The default workspace file system path of the source code from which app deployment are created. This field tracks the workspace source code path of the last active deployment.
- default_git_sourceobjectBeta
The Git source of the app's most recent active deployment, including the repository configuration and the resolved reference. Populated by the system after a Git-based deployment and used as the default reference when automatic deployments are enabled.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- budget_policy_idstringPublic Preview
- effective_budget_policy_idstringPublic Preview
- service_principal_client_idstring
- user_api_scopesarray of stringPublic Preview
- idstring
The unique identifier of the app.
- effective_user_api_scopesarray of stringPublic Preview
The effective api scopes granted to the user access token.
- oauth2_app_integration_idstringPublic Preview
- oauth2_app_client_idstringPublic Preview
- compute_sizestring
- usage_policy_idstringPublic Preview
- effective_usage_policy_idstringPublic Preview
- git_repositoryobject
Git repository configuration for app deployments. When specified, deployments can reference code from this repository by providing only the git reference (branch, tag, or commit).
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- telemetry_export_destinationsarray of objectPublic Preview
Show child attributesHide child attributes
- unity_catalogobjectRequiredPublic Preview
Show child attributesHide child attributes
- logs_tablestringPublic Preview
Unity Catalog table for OTEL logs.
- metrics_tablestringPublic Preview
Unity Catalog table for OTEL metrics.
- traces_tablestringPublic Preview
Unity Catalog table for OTEL traces (spans).
- thumbnail_urlstring
The URL of the thumbnail image for the app.
- source_code_pathstringRequiredBeta
- git_sourceobjectRequiredBeta
The Git source to deploy from, specifying the reference to check out (branch, tag, or commit) and an optional path to the app source code within the repository configured in git_repository.
Show child attributesHide child attributes
- git_repositoryobject
Git repository configuration. Populated from the app's git_repository configuration.
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
- branchstringRequired
Git branch to checkout.
- tagstringRequired
Git tag to checkout.
- commitstringRequired
Git commit SHA to checkout.
- source_code_pathstring
Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.
- resolved_commitstring
The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.
- update_maskstring
Response
- statusobject
Show child attributesHide child attributes
- statestring
- messagestring
- descriptionstring
- budget_policy_idstring
- resourcesarray of object
Show child attributesHide child attributes
- namestring
Name of the App Resource.
- descriptionstring
Description of the App Resource.
- secretobjectRequired
Show child attributesHide child attributes
- scopestring
Scope of the secret to grant permission on.
- keystring
Key of the secret to grant permission on.
- permissionstring
Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".
- sql_warehouseobjectRequired
Show child attributesHide child attributes
- idstring
Id of the SQL warehouse to grant permission on.
- permissionstring
Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".
- serving_endpointobjectRequired
Show child attributesHide child attributes
- namestring
Name of the serving endpoint to grant permission on.
- permissionstring
Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".
- jobobjectRequired
Show child attributesHide child attributes
- idstring
Id of the job to grant permission on.
- permissionstring
Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".
- uc_securableobjectRequired
Show child attributesHide child attributes
- securable_full_namestring
- securable_typestring
- permissionstring
- securable_kindstring
The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.
- databaseobjectRequired
Show child attributesHide child attributes
- instance_namestring
- database_namestring
- permissionstring
- genie_spaceobjectRequired
Show child attributesHide child attributes
- namestring
- space_idstring
- permissionstring
- experimentobjectRequired
Show child attributesHide child attributes
- experiment_idstring
- permissionstring
- appobjectRequired
Show child attributesHide child attributes
- namestring
- permissionstring
- postgresobjectRequired
Show child attributesHide child attributes
- branchstring
- databasestring
- permissionstring
- user_api_scopesarray of string
- compute_sizestring
- usage_policy_idstring
- git_repositoryobject
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
Get App Update GA
GET
Gets the status of an app update.
API scopes: apps
Parameters
- app_namestringpath
The name of the app.
Response
- statusobject
Show child attributesHide child attributes
- statestring
- messagestring
- descriptionstring
- budget_policy_idstring
- resourcesarray of object
Show child attributesHide child attributes
- namestring
Name of the App Resource.
- descriptionstring
Description of the App Resource.
- secretobjectRequired
Show child attributesHide child attributes
- scopestring
Scope of the secret to grant permission on.
- keystring
Key of the secret to grant permission on.
- permissionstring
Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".
- sql_warehouseobjectRequired
Show child attributesHide child attributes
- idstring
Id of the SQL warehouse to grant permission on.
- permissionstring
Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".
- serving_endpointobjectRequired
Show child attributesHide child attributes
- namestring
Name of the serving endpoint to grant permission on.
- permissionstring
Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".
- jobobjectRequired
Show child attributesHide child attributes
- idstring
Id of the job to grant permission on.
- permissionstring
Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".
- uc_securableobjectRequired
Show child attributesHide child attributes
- securable_full_namestring
- securable_typestring
- permissionstring
- securable_kindstring
The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.
- databaseobjectRequired
Show child attributesHide child attributes
- instance_namestring
- database_namestring
- permissionstring
- genie_spaceobjectRequired
Show child attributesHide child attributes
- namestring
- space_idstring
- permissionstring
- experimentobjectRequired
Show child attributesHide child attributes
- experiment_idstring
- permissionstring
- appobjectRequired
Show child attributesHide child attributes
- namestring
- permissionstring
- postgresobjectRequired
Show child attributesHide child attributes
- branchstring
- databasestring
- permissionstring
- user_api_scopesarray of string
- compute_sizestring
- usage_policy_idstring
- git_repositoryobject
Show child attributesHide child attributes
- urlstring
URL of the Git repository.
- providerstring
Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.
- auto_deploybooleanBeta
When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.
- caller_credential_idint64Beta
ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.
Start App GA
POST
Start the last active deployment of the app in the workspace.
API scopes: apps
Parameters
- namestringpath
The name of the app.
Response
Returns the App object.
Stop App GA
POST
Stops the active deployment of the app in the workspace.
API scopes: apps
Parameters
- namestringpath
The name of the app.
Response
Returns the App object.